Evaluation Rules
Create or update an evaluation rule
Creates a new evaluation rule, or replaces the existing rule when the identifier matches.
Paraméterek lekérdezése
api-version
string
kötelező
The API version to use for this operation.
Elérési útvonal paraméterei
id
string
kötelező
Unique identifier for the evaluation rule.
Fejlécparaméterek
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Kérelem törzse
Evaluation rule resource
id
string
kötelező
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
kötelező
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
kötelező
evalId
string
kötelező
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
kötelező
templateId
string
kötelező
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
kötelező
Filter by agent name.
eventType
string | enum
kötelező
Type of the evaluation rule event.
enum
enabled
boolean
kötelező
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
kötelező
System metadata for the evaluation rule.
Válaszok
The request has succeeded.
Törzs
id
string
kötelező
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
kötelező
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
kötelező
evalId
string
kötelező
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
kötelező
templateId
string
kötelező
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
kötelező
Filter by agent name.
eventType
string | enum
kötelező
Type of the evaluation rule event.
enum
enabled
boolean
kötelező
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
kötelező
System metadata for the evaluation rule.
Kérés
PUT /evaluationrules/{id} HTTP/1.1
Válasz
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json